---
sidebar_position: 2
description: Make repost and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Make repost
 Reposts the record



`Function MakeRepost(Val PostID, Val WallID = "", Val TargetWall = "", Val Advertising = False, Val Parameters = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | PostID | --post | String, Number | &#x2714; | Post ID |
  | WallID | --from | String, Number | &#x2716; | ID of the wall where the post is located |
  | TargetWall | --to | String, Number | &#x2716; | ID of the target wall or group |
  | Advertising | --ad | Boolean | &#x2716; | Sign of an advertising post |
  | Parameters | --auth | Structure Of String | &#x2716; | Authorization parameters. See GetAuthParameters |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK



```bsl title="1C:Enterprise/OneScript code example"
    Parameters = GetVKParameters();
    PostID     = 2571;
    WallID     = -218704372;

    Result = OPI_VK.MakeRepost(PostID, WallID, , , Parameters);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint vk MakeRepost \
             --post 2571 \
             --from -218704372 \
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint vk MakeRepost ^
             --post 2571 ^
             --from -218704372 ^
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "response": {
  "success": 1,
  "post_id": 10750,
  "reposts_count": 3,
  "likes_count": 10,
  "wall_repost_count": 1,
  "mail_repost_count": 2,
  "badges": {
   "type": 11,
   "id": 2571,
   "owner_id": -218704372
  }
 }
}
```
